TAAS - Feature #353

Assets Sales Return
08/24/2024 02:56 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 08/24/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Assets Sales Return

Description

Coding Assets Sales Return

History

#1 - 08/24/2024 03:02 PM - Junaid M
GUI Like Assets Sale/Write off

#2 - 08/24/2024 03:04 PM - Anil KV

Posting
Doc Date | Customer/FOP | Cr Refund Amount->Sales Return
Doc Date | Profit (Rfd Charge) Ac (Mapping) | Cr Rfd Charge —-> Sales Return
Doc Date | Assets Ac | Dr Assets value->assets master - Assets Deduction
Doc Date | Sales Return Deduction (Mapping) | Dr assets master->Assets Deduction
Doc Date | Sales Profit Ac | Dr(+ve)/Cr(-ve) Price->Sales - Sale time Assets value->assets m
aster [sale profit reverse posting]
—if Depreciation Debit Account (Admin Setting) == Accm Dep Ac
Doc Date | Assets Ac | Dr Total Dep(Accu De + Sale Current Dep)
Doc Date | Accum Dep Ac | Cr Total Dep(Accu De + Sale Current Dep)
#3 - 08/24/2024 03:28 PM - Anil KV
GUI Change:-
—->Sales No to Return No
—>remove Depreciation Period
=>List
Add column 'Deduction', 'Refund Amount' after price
=>Popup

—-> Price Disable

-> add Deduction Amount after 2 price

—> add Refund Amount after 2 Deduction Amount

—> add 'Assets Deduction' and 'Current Assets Value' 'Assets Profit' after profit
=>popup right - label table

->Remove Current Depreciation Amount, Current Assets Value, Current Branch

->Add Sale No, Sale Date, Sale Price, Sale Profit, Next depreciation Start Date

#4 - 08/24/2024 03:50 PM - Junaid M

- Assignee changed from travvise Admin to Augustin Jose

#5 - 08/26/2024 12:36 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#6 - 09/07/2024 09:41 AM - Junaid M
- Assignee changed from Augustin Jose to Amal Ck

#7 - 09/07/2024 11:57 AM - Junaid M
- Assignee changed from Amal Ck to Nithin PM

#8 - 09/12/2024 04:00 PM - Anonymous
- Assignee changed from Nithin PM to Greeshma S

#9 - 09/24/2024 09:43 AM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#10 - 09/27/2024 10:56 AM - Anil KV
Finish Date - 1/10/24

#11 - 11/06/2024 09:43 AM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#12 - 01/02/2025 11:13 AM - Theja Ponon
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

1)tally issue while saving
2)data is not getting while searching

#13 - 01/03/2025 04:25 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#14 - 01/07/2025 02:27 PM - Theja Ponon
- File clipboard-202501071427-nu9a4.png added

#15 - 01/07/2025 02:27 PM - Theja Ponon
- File clipboard-202501071427-koqju.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ravvise Assets Sales Return

VEL SOLUTION PVT LTD

Debit and Credit Zero not allowed in a entry(0 Dr, 0 Cr).

Return No Cate® | 07/01/2025

Customer/FOP* | CUS001 Customer 1
Customer ~
Responsible User ~
Marration
Document Status® | Active

Posting Status™ | Active

Selling Price Refund Charge

05/04/2025

Against Doc &

= Branch®

0.00 CAR Department”

Reference
Cost Center
Cash Counter
Created By:
By: Modified By:

By:

¥Y¥

0 Assets

Refund Amount

BROO1= Main

DPO01:; Account

Deduction

Y @ B =2 o

Current Assets Value
#16 - 01/16/2025 09:36 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 01/31/2025 02:09 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)STATUS IS NOT SHOWING ON GIVING CHEQUE IN FOP

#18 - 02/10/2025 10:41 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 02/28/2025 11:56 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)When giving own bank as fop and cheque transaction ,given own bank should filled in the issue bank section and disable the field

#20 - 02/28/2025 03:43 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 03/14/2025 11:53 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

Set Document Id in Posting
Eg:
mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#22 - 03/14/2025 06:07 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#23 - 03/24/2025 01:24 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#24 - 03/24/2025 02:09 PM - Theja Ponon
- File clipboard-202503241409-pbm8e.png added

Issue Found

1)Issue on saving

05/04/2025
Assets Sales Return

JsnSqlRes: ["sinSgIC "2 -1, "strSqIC 1sCode” : "ERROR" *Transaction Failed”, "strSqiCustomErrorType" : "DATABASE_SYSTEM_ERROR”, *strSqiC: ode” : null, "strSqlSy " . *invalid input syntax for type bigint:
P tionHint" : "SQL statement \"INSERT INTO transaction.tbl transaction
(sm product_id \n\\t\tit\tvhr_sys_module_name \n\t\t\t\t\t\titvhr_sys_module_feature_name\n\t\t\t\t\t\t\tvhr_sys_module_mode_name \n\t\t\t\t\t\t\tvhr_sys_name \r \ _branch_id,\ _department_id, _oposit_branch_id \n\n\t\\t\tvevEvEfk

dhlﬁledgicu r_reserved_amount \n\mit\t\Bit\t\ttvhr_base_currency \m\E\E\\t\t\t\tdbl_base_cur_debit \n\tWt\t\t\t\t\tdbl_base_cur_credit,\m\t\t\B\t\t\t\tdbl_base_cur_original_amount\n\t\t\t\t\t\t\tdbl_base_cur_actual_amount \n\t\t\t\t\f\t\tdbl_base_cur_outstanding, \n\B\\t\t\t\E\E-

dbl_base_cur_reserved_amount \n\m\ARt\E\Rivhr_cons_currency \mBAE B Btdbl coms_cur_roe\n\ABAH AR b cons_cur debit\MEHARHEdbl_cons_cur credit\n\(\A\Bit\tdbl_cons_cur_original_amount\mBAAE bl cons_cur actual amount \ntAAE Rt dbl_cons_cur ¢

dbl_cons_cur_reserved_amount \m\n\t\EEVf\tvhr_reference \n\t\t\iit\iuf\ttxt_narration, _build_narration, jsn_related_data,\n\m\bxt\t\t\t\b\tfk_received_cheque id,\n\EvtWtht\fut\tfic_oposit received cheque id \n\t\B\t\\\tFk_paid cheque_id \n\ENEREVERENE
-vhr_record_ref_ doc_no\n\t\AE\BNAE--int_record ref_no\nm\E\\EAEEW--vhr_reco_no \n\E\Ekt\EWtVE\tsin_clear_status,\n\Bit\t\tithtdat_cleared, \n\nVEVMELEENE—

sin_re_store_record \n\t\(\t\B\t\t\tsin_against < sa\e refund_type \n\tye\\t\t\Btsin_inter_branch_sale refund |_type \n\t\i\t\t\t\\tsin_dac_reversal typE \n\l\t\t\t\t\l\tsm is. J)aﬂdl mmrds,\n\l\t\t\t\t\t\tsm recnrd |_type \m\f\tit\tt\t\tsin_posting type \m\t\A\t\\t\t\sin_soa_skip_posting,ink
>>'sinProductld’ AS SMALLINT); ction->>" " ARV BB ion-> >'strSysModt -3 -

>>'strSysName’ \n\nh B EVACAST jsnTransaction- > >‘binBranchid' AS BIGINT) \n\EW\RMECAST(jsnTransaction-> > "binDs " AS BIGINT)\n! AST(j: wsactlun 3> mepos\lEraﬂchld' AS BIGINT), \n\n\ B \EWNEMCASTjsnTransaction-
>>'binDocumentld’ AS BIGINT),\n\t\t\\EVVE\tCAST jsnTransaction-> > ‘binSubDocld” AS BIGINT] \n LIF(CAST(] > >'binSuppDocNold’ AS BIGINT), 0),\n\f\t\tW\t\tCAST(jsnTransaction- > >'sinGroupld"” AS

SMALLINT) A\m\n\t i\ t\\ W\t CAS T(jsnTransaction- > >*datTransaction' AS DATE); tion->>" Daone' AS DATE) \m\E\\t\E\t\t\tCAST(jsn Transaction- > > 'datDoc i " AS DATE) \n\n\t ULLIF{CAST(j: tion-
>>'binMainLedgerld’ AS BIGINT), 0)\n\\t\t\f\t\t\tCAS T(jsnTransaction-> > ‘binLedgerld’ AS BIGINT} APV \CAST (jsnTransaction-> > binActualLedgerld’ AS BIGINT) \\\e\ W\t NULLIF(CAST(jsnTransaction-> > 'binOpositLedgerld’ AS BIGINT),

0),\n) NULLIF(CAST(j: tion-» > binProduct ingld’ AS BIGINT), 0)\n\t\A\\ \ANULLIF(CAST(jsnTransaction->>'binSubledgerld’ AS BIGINT), 0)\n\®A\\ et tNULLIF{CAS T(jsnTransaction-> >'binPaxProfileld’ AS BIGINT),
0)\nkn\tevtntit\titjsnTransaction-» > 'strledgCurmency \n\B\MWECAST(jsnTransaction-> > 'dblLedgCurRoe’ AS DOUBLE PRECISION) \n\&\\E\\E\\tCAST(jsnTransaction-> > 'dblLedgCurDebit’ AS DOUBLE PRECISION) A\ VtCAST (jsnTransaction-
»>>'dblledgCurCredit' AS DOUBLE PRECISION)\m\t\(\\B\\AVECAST(jsniTransaction- > > 'dblLedgCurOriginal Amount' AS DOUBLE PRECISION),\n\ \\ICA: tion->>"dblLedgCurAc * AS DOUBLE PRECISION) \n\B\BWB\BMCAS T (jsnTransaction-
>>'dblLledgCurOutstanding’ AS DOUBLE PRECISION) \n\t\tht\tit\t\t--CAST(jsn ->>"dblLedgCurR rount’ AS DOUBLE PRECISION),\n\n\t\t\t\\t\t\tjsnTransaction-> > 'strBaseCurrency’ \mARANtCAS T(jsnTransaction-> > ‘dblBaseCurDebit’ AS DOUBLE
PRECISION) \m\B A\ Bt CAS T (jsnTransaction-> > ‘dblBaseCurCredit' AS DOUBLE PRECISION) \n\t\\t\\t\tCAST(jsnTransaction- > >*dblBaseCurOriginal Amount’ AS DOUBLE PRECISION) \n\t\Bt\E\\t\tCAST(jsnTransaction- > > 'dblBaseCurActualAmount’ AS DOUBLE
PRECISION) \m\B\\E\\\EMCAST(jsnTransaction-> > ‘dblBaseCurQutstanding’ AS DOUBLE PRECISION) \n\t\t\E\AEVEE--CAST(j: ion->>'dblBaseC " AS DOUBLE PRECISION),\n\n\t\t\t\t\t\t\jsnTransaction-

»>'strConsCurrency’ \n\AEVBEVMCAS T (jsn Transaction-» > ‘dbIConsCurRoe' AS DOUBLE PRECISIONAn\BE\R\VtCAST(jsnTransaction-> > ‘dbIConsCurDebit’ AS DOUBLE PRECISION) \n\t\B\ARCAS T(jsnTransaction- > > ‘dblConsCurCredit’ AS DOUBLE

PRECISION), \n\t\t\t\f\t\t\tCAS'l(Jsr\TransamDn- >>'dblConsCurQOriginalAmount’ AS DOUBLE PRECISION) \n\tN\t\\t\t\tCAST(jsnTransaction-> > ‘dblConsCurActualAmount’ AS DOUBLE PRECISION) \n\t\B A\ \tCAST(jsnTransaction->>'dblConsCurOutstanding” AS
DOUBLE P RECISION) \n! --CAST(: ction->>'dblConsC it' AS DOUBLE PRECISION) \n\n\t\ i\t t\tt\tjsnTransaction-> > 'strReference’ \m\ VAV ECAS T jsn Transaction- > > ‘strNarration’ AS TEXT), \n\f\l\t\t\|\€\t€AST(jsnTransa(tmn-

>34 ration’ AS TEXT)\n! AST(j: 1saction-> > "strlsr Data’ AS JSON)," HtNULLIF(CAST(jsnTransaction-> > ‘binReceivedChequeld’ AS BIGINT), 0), \H\t\t\t\l\t\t\tNULLlF[CAST VIr tion-> >'bin0)| hequeld’ AS
BIGINT), 0), ULLIF(CASTj tion-> >'binPaidChequeld" AS BIGINT), 0),\r\t\Bt\\ft\tNULLIF(CAST(jsnTransaction-> > 'binOposi hequeld" AS BIGINT), 0), JLLIF(CAST(: tion-> > 'binCcSwapld' AS BIGINT),

0), ULLIF(CAST(j: tion-> > binOpositCcSwapld® AS BIGINT), 0)\n\n\B A HNULLIF(CAST(jsnTransaction-> > ‘binCostCentreld’ AS BIGINT), 0); LLIF(CAST(jsr tion-> > 'binCashCounterld’ AS BIGINT), D) An\n\B\E B e
JjsnTransaction-> >'strRecordRefDocNo’ \ntt\tift\t\t\t--CAST(jsnTransaction-> >'sinRecordRefNo’ AS SMALLINT); \n\t\l\t\t\l\t\l-- -jsnTransaction-> > 'strRecoNo’ \m\t\ VW tvttCAST(jsnTransaction-> > 'sinClearStatus' AS SMALUN'I‘,p\n\t\|\t’\|\|\t’\tCASTUsnTransadmn-
»>'datCleared’ AS DATE) \n\n\t\B AR\t \E--CAST(jsn Transaction-> >'sinReStoreRecord’ AS SMALLINT) \n 1saction-> > undType’ AS SMALLINT),! 1w pe’ AS

SMALLINT), LCAST(j: tion->»'sinDocf " AS SMALLINT), AST(j tion-» > ! AS SMALLINT)\n\\ARABCAST jsnTransaction-> > sinRecordType’ AS SMALLINT), \n\f\t\l\f\l\t\tc.qswsnTmnsamon—
»>'sinPostingType’ AS SMALLINT)Am\BE\BBECAST (jsnTransaction-» > 'sinSoaSkipPosting’ AS SMALLINT) \n\t\ BB ECAS T jsnTransaction- » " AS SMALLINT)) HICAST(jsnTransaction-» > 'sinPostingStatus’ AS

SMALUINT) A\ VAV WtV ECAS T (jsn Transaction- > > 'sinTransactionStatus' AS SMALLINT)An\\B\ACAST(jsnTransaction-> >'sinDocumentStatus’ AS SMALLINTIAmAROMRETURNING pk_transaction_id\"\nPL/pgSQL function
insert_or_update_transaction(jsanb(]smallint) line 42 at SOL statement\nSQL statement \"CALL sp_insert_or_update_transaction(arjNewTransaction, sinlsUpdate:SMALLINT, jsnSpOutRes\"\nPL/pgSQL function
sp_insert_or_update_assets_sale_return(jsonb,jsonb(]jsonk(]bigint[]} line 103 at CALL", "binSqIPk" : 0, "binSqlLogPk" : 0, “strSqiDocNo” : null, "dctSqlOtherData : null)

Retun No Date* | 24/03/2025 ] Branch® | BROOT: Main ~
Against Doc & 0000AR Department” | DPOOT: Account v
Customer/FOP™ | CRC001 Credit & Debit Card QAR v Reference
Customer ~ Cost Center -
Responsible User + Cash Counter v
Narration ) Created By:
Modified By:
Document Status™ | Active v By

[ONY

2)Corporate card,virtual card is not loading in customer/fop

#25 - 03/25/2025 06:14 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 03/26/2025 02:38 PM - Arathy PS

- File clipboard-202503261436-pzoms.png added

- File clipboard-202503261438-7w0nc.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. A tally issue while applying a refund charge.

Assets Sales Return

BASE1(QAR) Currency Debit and Credit are not tally(-1000).
Retum No Date” | 26/03/2025 =] Branch™ | BROD1: Main v -
Against Doc & 0.00 QAR Department” | DPOO1: Account v
Customer/FOP* | CUS002 ASHARAF AARIF KHAN QAR v Reference
Customer ~ Cost Center v
Responsible User = Cash Counter v
Narration ) Created By:
Document Status” | Active v By Modified By:
Posting Status* | Active v oBy
vvy
Asset Return List © Assets T @ =]
Assets/Item Name Item Code Selling Price Refund Charge Refund Amount Deduction Current Assets Value
~  Assets: Assets Master A
Item A 001 1500.00 200.00 1300.00 NaN 150000 4 @

2. While trying to save using both refund charge and deduction.
Assets Sales Return

jsnSqlRes: £ " -1, "stSqlC de" : "ERROR", "strSql *  "Transaction Failed", "strSqlCustomErrorType” : "DATABASE_SYSTEM_ERROR", *strSqCustomErrorCode” : nul, * * : “invalid input syntax for type bigint: \"\", "strSqiSysExceptionDetail” : **,
*strSqiSysExceptionHint" : “SOL statement \'INSERT INTO transaction.tbl_transaction

(sin_product id \MA\ABAAttvhr_sys module_name\n\ABAARvhr_sys module feature_name \i\\RARAR AT sys module_mode_name \nARBAATvIr_sys name\nnBARBANK branch id \MAABANE depaﬂmervl A\ oposit branch i\ AN T documents [\ SARALE sub_doc dn
~dbl_ledg_cur_reserved : - base base cur_del b edit\n\(WE\\tdbl_base_cur_original amount\n\ARRE\Atiedbl_base_cur actual ai | base cur.c

dbl_base.cur._reserved_amount \n\n\YAAE\vh_cons_curmency\\ABARtdb]_cons_cur_roe A Btdblcons cur_debit AR dbl_cons.cur_credit\nABANEdbLcons_cur_original_ amount\n\(\l\t\t\t\t\tdhl cons_cur_actual amount \n\\!\t\f\thtdbl cons_cur_outstanding \n\AEAE\E-~

dbl_cons_cur_reserved_amount \n\n\f\tht\t\t\ttvhr_reference \n\t\t\t\Bib\t\ttxt_narration \m\te\t\tie\t\ttxt_build_narration \n\t\B\t\t\t\t\tjsn_related_data, \n\n\t\t\t\i\t\t\tik_received_cheque_id \n\t\t\t\t\t\t\tik_oposit_received_cheque_id, _paid_cheque_id \n\t\t\t\t\t\t\tfk_oposit_paid_cheque_id \n\t\t\t\tt\tittk_cc_
~vhr_record_ref_doc_no \n\t\t\t\t\t\t\t--int_record_ref_no \n\t\\t\t\t\tht--vhr_reco_no \nke\t\t\t\t\t\tsin_clear_status t\t\t\t\tdat_cleared,
sin_re_store_record \n\t\(yt\B\f\t\tsin_against sale refund qype\n\t\(\t\t\m\m inter_ branch_sale refund. wa\n\t\l\t\t\t\i\Bm doc reversal_type\n\\EA\sin_is_pandl_s rE(Dvds\l\\t\i\t\t\i\t\tsm record_type B E\tsin_posting 1 type\ﬂ\t\i\t\t\t\‘\‘sm s0a smp posm\g\n\t\i\t\‘\t\t\ml\ exported \n\n\\ Bt sin_po:
>>sil ' AS SMALLINT)‘ B rSysName'\ >'binBranchid’ AS
BIGINT)Ant\F I' AS BIGINT),\r -3 >'binOy ' AS BIG\NT) -»>'binDocumentld’ AS BIGINT), \n\t\t\l\t\t\t\tCMTQsnTmnsamon »>'binSubDocld" AS
BIGINT), \n\t\t\(\l\t\t\tNULLlF CASTUsnTrsn;sm on-> > thuppDocNo\d AS E\GINT] O) A\ ACAS T(jsnTransaction-> > ‘sinGroupld AS SMALLINT) \n\n\t\t\t\t\t\t\tCAST (jsnTransaction- > > 'datTransaction’ AS DATE)\n\t\t\N\\\tCAS TjsnTransaction-> >'datSettlementDone’ AS
DATE) \nh B\ A\ttt ->>'datD " AS DATE) \n\nkt\t\the\t\(\tNULLIF(CAST (jsn Transaction-> >*binMainLedgerld' AS BIGINT), 0) \m\t\(\t\t\t\t\tCAST(jsnTransaction-> >“binLedgerld" AS BIGINT) \n\t\t\(\t\t\tCAST(jsnTransaction- > > 'binActualLedgerld' AS
B\GINT) \n\t\‘\(\l\t\t\tNULLlF (CAST(jsnTransaction-> >'binOpositLedgerid” AS BIGINT), u) \n\t\t\t\t\m\wulur(cAsTu;nTransamDn > >'binProductivityMappingld’ AS BIGINT), 0) \T\\t\f\t\t\\tNU LLIF(CASTjsn Transaction-> > ‘binSubLedgerid’ AS BIGINT), D) \M\t\(\\\t\t\tNULLIF (CAST jsnTransaction-
' AS BIGINT), 0), Transaction-> »"strLedgC . >'dblLedgCurRoe’ AS DOUBLE PRECISION) \n\AEV\EVECAST(jsnTransaction-» »' dblLedgCurDebM' AS DOUBLE PRECISION) \m\B\\\E\E\ECAS T (jsnTransaction-» >'dblledg CurCredit' AS
DDUBLE PRI EClSlG IN), ALV ENEV R ->>'dblLedgCurOri 'AS DOUBLE PRECIS ION), \n\l\t\t\t\t\‘\tCASTUsn'ﬁa nsaction-> »'dblLedgCurActualAmount’ AS DOUBLE PRECISION), > >'dblLedgCurOutstanding’ AS DOUBLE PRECISION) \n\t\EE\E\tE\E--
->>'dblLedgC ' AS DOUBLE PRECISION) \ninitht) ->>'strBa CANVABEEAALC i ion->>'dblBaseCurDebit’ AS DOUBLE PRECISION] \n\t\t\(\t\(\t\tCASTQsnTransa(Uc n->>'dblBaseCurCredit' AS DOUBLE
PREC\S\ON) \rv\t\t\t\t\t\t\lCASTUsl\Tra nsaction-> > db\BasE(urONgma IAmount’ AS DOUBLE PRECISION) \j\\(\i\t\t\i\t\t(ASTUsnTvansa(l\ on->> dh\BaseCurAnua\Ama unt’ AS DOUBLE PRECISION), >'dblBaseCurQutstanding’ AS DOUBLE PRECISION) \n\B\E\t\t\E\EVt--
CAST( ' AS DOUBLE PRECISION), sCt ->>'dblConsCurRoe’ AS DOUBLE PRECIS\ON]\r\\(\t\t\(\t\t\lﬁASTUsnTra nsaction->>'dblConsCurDebit’ AS DOUBLE
PRECISION), \n\t\t\t\t\t\‘\(cASTUSnTm nsaction-> > ‘dblConsCurCredit' AS DOUBLE PRECISION)? \n\(\t\t\(\l\t\tCASTUsnTransazh on-> > 'dblConsCurOriginalAmount’ AS DOUBLE PRECISION) \m\t\\E\\(\t\ECAS T(jsnTransaction-»> > dbl[ onsCurActualAmount' AS DOUBLE PRECISION) \n\ANEEVAEECAST s nTransadmn
»>'dblConsCurQutstanding’ AS DOUBLE PRECISION), \n\t\t\‘\(\l\t\tr—(AS -3 > 'dblC: 3 AS DOUBLE PRECISION) \n\m\B\t\t\t\t\f\tjsnTransaction-» > 3 \n\t\t\l\‘\(\l - " AS TEXT) AntV VRV -3 3" 3
AS TEXT) \nVEVEVEVEEES >3t " AS JSON)) LIF(C/ =>> he Id’ AS BIGINT), 0) \m\ERe\E VBV ENULLIF(C) >'binOposit iy h Id” AS BIGINT), 0),\n\\E\EVE\E\ENULLIF(CAST(jsnTransaction-
>>'binPaidChequeld’ AS BIGINT) 0]\H\‘\t\t\‘\l\t\tNULUF[CASTanTmnsammv > bll\Opnlea\dCthuE\d AS BIGINT), 0)\n\t\\At\E\AtNULLIF(CAST(jsnTransaction->> binCeSwapld AS BIGINT), 0), \n\i\t\t\i\t\t\lNuLUF[CASTUSHTmn;acUon > blnDpu;HCcSwapld AS BIGINT),
0), LIF(CAST(jsn tCentreld’ AS BIGINT), 0)) LIF(Cs >'binCashCounterld’ AS BIGINT), B " AS SMALLINT) A\ttt
-> >'strRecoNo’, HEHCAS” -> »'sinClearStatus” AS SMALLINT),\ \n\t\t\(\l\t\t\t(AST(ﬁnTransactmn > >'datCleared’ AS DATE) m\n\t\(\l\t\t\t\t [ASTanTransamon >>'sin ReStureRem rd' AS SMALLINT)) \n\t\t\t\(\l\t\tCASTUsnTra nsaction-> > 'sinAgainstSaleRefundType® AS
SMALLINT) An\t\te\t\the\tC ion->>'s ' AS SMALLINT) \n\t\e\e\E\\t\eCASTY ->>'sinDx 3 LINT), ction->> s " AS SMALLINT) \n\t\t\eieie tion-> >'sinRecordType' AS
SMALLINT) \n\EVEEVE\ TV EVC) 1=>>s pe’ AS SMALLINT),\n\t\Bi\ti e -5l ip! 1g" AS SMALLINT),\n\\\NE\\ECAS T (jsnTransaction-> >“sinExported” AS SMALLINT) \m\nkt\E\t\E\ECAST (jsnTransaction-> >‘sinPostingStatus’ AS
SMALLINT) \n\f\t\E\E\ BN EALCAST -3 sin " AS SMALLINT) \mE\t\ ARV ->>"sinDe " AS SMALLINT))\nvE\t JRNING pk _transaction_id\"\nPL/pgSQL function sp_insert_or_update t line 42 at SQL QL
statement \"CALL sp_insert_or_update._transactic tion, LINT, OutRes\"\nPL/pgSQL function sp_insert_or_update_assets_sale_return(jsonb jsonb(ljsonb[Lbigint[]) line 103 at CALL", "binSlPK" : 0, "binSalLogPk" : 0, "strSglDocNo" : null, "dctSqlOtherData® : nully
Return No Date® | 26/03/2025 ] Branch™ | BROO01: Main ~
Against Doc & 0.00 AR Department” | DPQOO1:: Account v
‘Customer/FOP* | CUSD02 ASHARAF AARIF KHAN QAR v Reference
Customer ~ Cost Center v
Responsible User ~ Cash Counter ~v
Narration j Created By:
Meodified By:
Document Status™ | Active v By
Posting Status® | Active v By
.
List Assets T a 2 [
Assets/Item Name Item Code selling Price Refund Charge Refund Amount Deduction Current Assets Value
g " &

#27 - 03/26/2025 06:14 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/28/2025 04:41 PM - Theja Ponon

- File clipboard-202503281640-4fv7v.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found
1)Tally issue on saving
q‘r Travvise Assets Sales Return

BASE1(QAR) Currency Debit and Credit are not tally(200).

L
Hogy Return No Date" | 28/03/2025 o] Branch” | BROO1: Main v
Against Doc H 0.00 QAR Department*  DPOO1: Account v
Customer/FOP™ | COCO01 Corporate Card Customer QAR ~ Reference
Customer ~ Cost Center v
Responsible User ~ Cash Counter v
Narration P Created By:
Document Status” | Active v By Medified B:
Posting Status” | Active ~ By
vy
List 0 Assets T @ 2 O
Assets/Item Name Item Code Selling Price Refund Charge Refund Amount Deduction Current Assets Value

v Assets: Assets Master

Assets ltems 001 120000 000 120000 000 120000 & W

#29 - 04/02/2025 06:32 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 04/05/2025 04:27 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

05/04/2025 5/6




Issue Found

1)Add validation on using cheque which is not in cheque book

#31 - 04/05/2025 06:07 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

clipboard-202501071427-nu9a4.png
clipboard-202501071427-kogju.png
clipboard-202503241409-pbm8e.png
clipboard-202503261436-pzoms.png
clipboard-202503261438-7w0nc.png
clipboard-202503281640-4fv7v.png

05/04/2025

80.3 KB
80.3 KB
233 KB
104 KB
281 KB
130 KB

01/07/2025
01/07/2025
03/24/2025
03/26/2025
03/26/2025
03/28/2025

Theja Ponon
Theja Ponon
Theja Ponon
Arathy PS
Arathy PS
Theja Ponon
